TokenLab

Video & tư liệu

Liệt kê các nhóm tài nguyên vật liệu

Liệt kê các nhóm vật liệu Seedance thuộc sở hữu của tổ chức hiện tại.

GET
/v1/videos/assets/groups

Liệt kê các nhóm vật liệu thuộc sở hữu của tổ chức đã xác thực. Lọc theo library_type và status để phân tách các nhóm avatar ảo khỏi các nhóm người thật.

Sử dụng id được trả về khi tải lên các tài liệu. Không truyền group_id dưới dạng material_asset_id trong quá trình tạo video; việc tạo video yêu cầu id của tài nguyên vật liệu.

project_name tách biệt tài nguyên trong tổ chức đã xác thực. Mặc định là default; dùng cùng một giá trị phân biệt chữ hoa, chữ thường cho nhóm và tài nguyên liên quan. Gửi trong nội dung JSON với POST/PUT và tham số truy vấn với GET/DELETE.

Ví dụ yêu cầu

curl "https://api.tokenlab.sh/v1/videos/assets/groups?library_type=aigc_avatar&page_size=20&project_name=default" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

Ví dụ phản hồi

{
  "groups": [
    {
      "id": "group-20260720123456-vrt01",
      "object": "seedance.material_asset_group",
      "project_name": "default",
      "library_type": "aigc_avatar",
      "group_name": "Product references",
      "status": "ACTIVE",
      "created_at": 1782998400000
    }
  ],
  "next_page_token": null
}
curl -X GET "https://example.com/v1/videos/assets/groups"
{  "groups": [    {      "id": "group-20260720123456-vrt01",      "object": "seedance.material_asset_group",      "library_type": "aigc_avatar",      "group_name": "Product references",      "description": "Ảnh sản phẩm có thể tái sử dụng",      "status": "ACTIVE",      "metadata": null,      "created_at": 1782998400000    },    {      "id": "group-20260720123456-real1",      "object": "seedance.material_asset_group",      "library_type": "liveness_face",      "group_name": "Creator A",      "description": null,      "status": "ACTIVE",      "metadata": null,      "created_at": 1782998400000    }  ],  "next_page_token": null}

Xác thực

BearerAuth
AuthorizationBearer <token>

Xác thực bằng Khóa API. Tạo hoặc quản lý khóa API trong Dashboard > API > API Keys.

Vị trí: header

Tham số truy vấn

page_size?integer
Phạm vi1 <= value <= 100
mặc định20
page_token?string
status?string

Giá trị hợp lệ

  • "ACTIVE"
  • "DELETED"
library_type?string

Lọc theo lớp thư viện vật liệu TokenLab.

Giá trị hợp lệ

  • "aigc_avatar"
  • "liveness_face"
project_name?string

Phạm vi dự án cho tài nguyên vật liệu.

Độ dài1 <= length <= 128
mặc định"default"

Phản hồi

application/json

application/json

application/json

application/json